stringprep_locale_to_utf8(3)

NAME
stringprep_locale_to_utf8 - convert locale encoded string to UTF-8

SYNOPSIS
#include <stringprep.h>

char * stringprep_locale_to_utf8(const char * str);

ARGUMENTS

const char * str
    input zero terminated string.

DESCRIPTION
Convert string encoded in the locale's character set into UTF-8 by using stringprep_convert().

RETURN VALUE
Returns newly allocated zero-terminated string which is str transcoded into UTF-8.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.